import Vue from 'vue'
import Router from 'vue-router'

import routerBefore from '@/config/routerBefore.js'

// 主要
import main from '@/components/main.vue'
// 系统配置管理
import addBargeShip from '../components/addBargeShip.vue'
import addLoadShip from '../components/addLoadShip.vue'
import addShipLocation from '../components/addShipLocation.vue'
import addShipmentInstructions from '../components/addShipmentInstructions.vue'
import addUnloadShip from '../components/addUnloadShip.vue'
import addWaterQuality from '../components/addWaterQuality.vue'
import bargeShip from '../components/bargeShip.vue'
import instructionsCapacity from '../components/instructionsCapacity.vue'
import loadShip from '../components/loadShip.vue'
import shipLocation from '../components/shipLocation.vue'
import shipmentInstructions from '../components/shipmentInstructions.vue'
import shipResult from '../components/shipResult.vue'
import unloadShip from '../components/unloadShip.vue'
import updateBargeShip from '../components/updateBargeShip.vue'
import updateInstructionsCapacity from '../components/updateInstructionsCapacity.vue'
import updateUnloadShip from '../components/updateUnloadShip.vue'
import updateWaterQuality from '../components/updateWaterQuality.vue'
import waterQuality from '../components/waterQuality.vue'
Vue.use(Router)

const constantRouterMap = [
  {
    path: '/',
    name: 'main',
    meta: {title: '首页', code: 'xtpzgl'},
    component: main,
    redirect: {name: 'addBargeShip'},
    children: [
      {path: 'addBargeShip', name: 'addBargeShip', meta: {code: 'xtpzgl-jggl'}, component: addBargeShip},
      {path: 'addLoadShip', name: 'addLoadShip', meta: {code: 'xtpzgl-yhgl'}, component: addLoadShip},
      {path: 'addShipLocation', name: 'addShipLocation', meta: {code: 'xtpzgl-yhgl'}, component: addShipLocation},
      {path: 'addShipmentInstructions', name: 'addShipmentInstructions', meta: {code: 'xtpzgl-yhgl'}, component: addShipmentInstructions},
      {path: 'addUnloadShip', name: 'addUnloadShip', meta: {code: 'xtpzgl-yhgl'}, component: addUnloadShip},
      {path: 'addWaterQuality', name: 'addWaterQuality', meta: {code: 'xtpzgl-yhgl'}, component: addWaterQuality},
      {path: 'bargeShip', name: 'bargeShip', meta: {code: 'xtpzgl-yhgl'}, component: bargeShip},
      {path: 'instructionsCapacity', name: 'instructionsCapacity', meta: {code: 'xtpzgl-yhgl'}, component: instructionsCapacity},
      {path: 'loadShip', name: 'loadShip', meta: {code: 'xtpzgl-yhgl'}, component: loadShip},
      {path: 'shipLocation', name: 'shipLocation', meta: {code: 'xtpzgl-yhgl'}, component: shipLocation},
      {path: 'shipmentInstructions', name: 'shipmentInstructions', meta: {code: 'xtpzgl-yhgl'}, component: shipmentInstructions},
      {path: 'shipResult', name: 'shipResult', meta: {code: 'xtpzgl-yhgl'}, component: shipResult},
      {path: 'unloadShip', name: 'unloadShip', meta: {code: 'xtpzgl-yhgl'}, component: unloadShip},
      {path: 'updateBargeShip', name: 'updateBargeShip', meta: {code: 'xtpzgl-yhgl'}, component: updateBargeShip},
      {path: 'updateInstructionsCapacity', name: 'updateInstructionsCapacity', meta: {code: 'xtpzgl-yhgl'}, component: updateInstructionsCapacity},
      {path: 'updateUnloadShip', name: 'updateUnloadShip', meta: {code: 'xtpzgl-yhgl'}, component: updateUnloadShip},
      {path: 'updateWaterQuality', name: 'updateWaterQuality', meta: {code: 'xtpzgl-yhgl'}, component: updateWaterQuality},
      {path: 'waterQuality', name: 'waterQuality', meta: {code: 'xtpzgl-yhgl'}, component: waterQuality},
    ]
  }
];

const router = new Router({
  routes: constantRouterMap
})
//  before
routerBefore(router, constantRouterMap);

export default router;
//  constantRouterMap
export const routes = constantRouterMap;
